module.exports = {
	path: "/cancel",
	/**
	 * cancel app request and clear it
	 * @url /api/cancel
	 * @method GET
	 */
	get: (req, res) => {
		// if user is logged in
		if(req.session && req.session.user) {
			req.session.appRequest = {};

			return res.type('json').end(JSON.stringify({
				status: 200,
				message: 'msg.request.operation.cancel.successful'
			}));

		// user isnt logged in
		} else {
			return res.type('json').end(JSON.stringify({
				status: 401,
				message: 'msg.auth.login.required'
			}));
		}
	}
};
